/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\leviathan\SparrowCompass.cs
Lines of code: 34

Description: 

***********************************************************/


using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class SparrowCompass : BaseTalisman
	{
	

		
		
		[Constructable]
		public SparrowCompass() : base( 4246 )
		{
			Name = "Sparrow's Compass";
			Hue = 2406;		
						
	
			
			SkillBonuses.SetValues( 2, SkillName.Tracking, 10.0 );
			SkillBonuses.SetValues( 3, SkillName.DetectHidden, 5.0 );
		}
		
		
		
		
		public SparrowCompass( Serial serial ) :  base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new SeafaringCompass());
		}			
	}
}